Core - Bug # 38428

Task # 38086 (Closed): Enhance TYPOS3 bootstrap mechanism

Status: Resolved Priority: Should have
Author: Georg Ringer Category: Backend API
Created: 2012-06-27 Assigned To: Georg Ringer
Updated: 2012-06-30 Due date:

TYPO3 Version: 6.0

PHP Version: 53

Complexity: no-brainer

Is Regression:

Sprint Focus:

Subject: Non-static method Typo3_Bootstrap_BaseSetup::getPathThisScript() should not be called statically
Description

error

Non-static method Typo3_Bootstrap_BaseSetup::getPathThisScript() should not be called statically

it seems the static is missing

Associated revisions

Revision d4ba789a - 2012-06-27 15:03 - Georg Ringer

[BUGFIX] Bootstrap_BaseSetup::getPathThisScript is not static

The method Typo3_Bootstrap_BaseSetup::getPathThisScript()
should be static but isn't

Change-Id: 196ce32ba5980f5a3612685bfe51c028eb23e2699
Resolves: #38428
Releases: 6.0

Reviewed-on: http:/review.typo3.org/12394

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 6d8dc2eb - 2012-07-13 19:56 - Georg Ringer

[BUGFIX] Bootstrap_BaseSetup::getPathThisScript is not static

The method Typo3_Bootstrap_BaseSetup::getPathThisScript()
should be static but isn't

Change-Id: 196ce32ba5980f5a3612685bfe51c028eb23e2699
Resolves: #38428

Releases: 6.0

Reviewed-on: http://review.typo3.org/12394

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2012-06-27 14:12 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12394

#2 - 2012-06-27 15:30 - Georg Ringer
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d4ba789ac6d8bbefe7b03421dd3e6ab7fb7d698.

#3 - 2012-06-30 13:25 - Susanne Moog
- Parent task set to #38086
